diff --git python-testtools/python-testtools.spec python-testtools/python-testtools.spec.tmp
index 17d5aa54d6..f3c158ed39 100644
--- python-testtools/python-testtools.spec
+++ python-testtools/python-testtools.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-testtools
 Version:        2.3.0
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Extensions to the Python unit testing framework
 
 %if 0%{?rhel}
@@ -39,17 +39,23 @@ BuildRequires:  python3-testscenarios
 %endif
 BuildRequires:  python-sphinx
 
-Provides:       python2-testtools = %{version}-%{release}
-Requires:       python-extras
-Requires:       python-mimeparse
-Requires:       python-pbr
-Requires:       python-unittest2 >= 1.0.0
-Requires:       python-traceback2
+%global _description\
+testtools is a set of extensions to the Python standard library's unit testing\
+framework.\
 
-%description
-testtools is a set of extensions to the Python standard library's unit testing
-framework.
 
+%description %_description
+
+%package -n python2-testtools
+Summary: %summary
+Requires:       python-traceback2
+Requires:       python-unittest2 >= 1.0.0
+Requires:       python-pbr
+Requires:       python-mimeparse
+Requires:       python-extras
+%{?python_provide:%python_provide python2-testtools}
+
+%description -n python2-testtools %_description
 
 %if 0%{?with_python3}
 %package -n python3-testtools
@@ -138,7 +144,7 @@ popd
 %endif # with_python3
 
 
-%files
+%files -n python2-testtools
 %doc NEWS README.rst
 %license LICENSE
 %{python2_sitelib}/*
@@ -155,6 +161,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.3.0-3
+- Python 2 subpackage renamed to python2-testtools
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tftpy/python-tftpy.spec python-tftpy/python-tftpy.spec.tmp
index 2bf8b7748f..a3d3b78c6d 100644
--- python-tftpy/python-tftpy.spec
+++ python-tftpy/python-tftpy.spec.tmp
@@ -1,6 +1,6 @@
 Name:		python-tftpy
 Version:	0.6.2
-Release:	3%{?dist}
+Release:	4%{?dist}
 Summary:	TFTPy is a pure Python implementation of the Trivial FTP protocol
 
 Group:		Development/Languages
@@ -12,13 +12,21 @@ BuildArch:	noarch
 BuildRequires:	python-devel, python-setuptools
 
 
-%description
-Tftpy is a TFTP library for the Python programming language. It includes
-client and server classes, with sample implementations. Hooks are included
-for easy inclusion in a UI for populating progress indicators. It supports
-RFCs 1350, 2347, 2348 and the tsize option from RFC 2349.
+%global _description\
+Tftpy is a TFTP library for the Python programming language. It includes\
+client and server classes, with sample implementations. Hooks are included\
+for easy inclusion in a UI for populating progress indicators. It supports\
+RFCs 1350, 2347, 2348 and the tsize option from RFC 2349.\
 
 
+%description %_description
+
+%package -n python2-tftpy
+Summary: %summary
+%{?python_provide:%python_provide python2-tftpy}
+
+%description -n python2-tftpy %_description
+
 %prep
 %setup -q -n tftpy-%{version}
 
@@ -31,7 +39,7 @@ RFCs 1350, 2347, 2348 and the tsize option from RFC 2349.
 %{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-tftpy
 %doc README COPYING
 %{_bindir}/tftpy_client.py
 %{_bindir}/tftpy_server.py
@@ -40,6 +48,10 @@ RFCs 1350, 2347, 2348 and the tsize option from RFC 2349.
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.2-4
+- Python 2 subpackage renamed to python2-tftpy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tgcaptcha2/python-tgcaptcha2.spec python-tgcaptcha2/python-tgcaptcha2.spec.tmp
index 321cf39f91..a99df173a1 100644
--- python-tgcaptcha2/python-tgcaptcha2.spec
+++ python-tgcaptcha2/python-tgcaptcha2.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-tgcaptcha2
 Version:        0.3.1
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        TurboGears captcha plugin
 
 Group:          Development/Languages
@@ -15,28 +15,35 @@ BuildArch:      noarch
 BuildRequires:  python-devel TurboGears
 BuildRequires:  python-setuptools
 
-Requires:       TurboGears
-Requires:       espeak
-Requires:       python-fedora-turbogears
-Requires:       m2crypto
-
-%description
-TGCaptcha2 is a TurboGears widget that provides an easy way to 
-incorporate a captcha as part a form in an attempt to reduce spam or
-malicious activity.
-
-Features include:
+%global _description\
+TGCaptcha2 is a TurboGears widget that provides an easy way to\
+incorporate a captcha as part a form in an attempt to reduce spam or\
+malicious activity.\
+\
+Features include:\
+\
+  * (Relatively) pain-free usage and validation inside of a regular\
+      widget-based form\
+  * Flexibility to add or extend image generation algorithms and the\
+      text displayed in the image\
+\
+Enhanced with:\
+\
+  * Embed a word in the image or an equation that the user has to\
+     solve\
+  * Add an audio captch
 
-  * (Relatively) pain-free usage and validation inside of a regular
-      widget-based form
-  * Flexibility to add or extend image generation algorithms and the
-      text displayed in the image
+%description %_description
 
-Enhanced with:
+%package -n python2-tgcaptcha2
+Summary: %summary
+Requires:       m2crypto
+Requires:       python-fedora-turbogears
+Requires:       espeak
+Requires:       TurboGears
+%{?python_provide:%python_provide python2-tgcaptcha2}
 
-  * Embed a word in the image or an equation that the user has to
-     solve
-  * Add an audio captch
+%description -n python2-tgcaptcha2 %_description
 
 %prep
 %setup -q -n TGCaptcha2-%{version}
@@ -56,7 +63,7 @@ sed -i -e "s|from setuptools|__requires__ = ['TurboJson >= 1.3']\nfrom setuptool
 %{__rm} -rf %{buildroot}
 
 
-%files
+%files -n python2-tgcaptcha2
 %defattr(-,root,root,-)
 %doc README.txt CONTRIBUTORS.txt CHANGELOG.txt COPYRIGHT.txt
 %{python_sitelib}/*.egg-info
@@ -64,6 +71,10 @@ sed -i -e "s|from setuptools|__requires__ = ['TurboJson >= 1.3']\nfrom setuptool
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.1-5
+- Python 2 subpackage renamed to python2-tgcaptcha2
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tg-devtools/python-tg-devtools.spec python-tg-devtools/python-tg-devtools.spec.tmp
index aa9e46a9de..12e601a1bf 100644
--- python-tg-devtools/python-tg-devtools.spec
+++ python-tg-devtools/python-tg-devtools.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-tg-devtools
 Version:        2.3.0
-Release:        0.10%{?dist}
+Release:        0.11%{?dist}
 Summary:        Development tools and templates for TurboGears2
 
 Group:          Development/Languages
@@ -23,29 +23,36 @@ BuildRequires:  python-sqlalchemy >= 0.5
 BuildRequires:  python-tgext-admin >= 0.3.9
 BuildRequires:  TurboGears2 >= 2.3.0
 
-Requires:       TurboGears2 >= 2.3.0
-Requires:       python-repoze-tm2
-Requires:       python-turbokid >= 1.0.4
-Requires:       python-turbojson >= 1.3
-Requires:       python-zope-sqlalchemy >= 0.4
-Requires:       python-babel >= 0.9.4
-Requires:       python-sqlalchemy >= 0.5
-Requires:       python-tgext-admin >= 0.5.1
-Requires:       python-babel
-Requires:       python-webtest >= 1.2.3
-Requires:       python-backlash
-Requires:       python-gearbox
-Requires:       python-alembic
-Requires:       python-genshi
-Requires:       python-tw2-forms
-Requires:       python-nose
-Requires:       python-coverage
 
+%global _description\
+This package contains various paster commands and templates used for\
+TurboGears2 development.\
 
-%description
-This package contains various paster commands and templates used for
-TurboGears2 development.
 
+%description %_description
+
+%package -n python2-tg-devtools
+Summary: %summary
+Requires:       python-coverage
+Requires:       python-nose
+Requires:       python-tw2-forms
+Requires:       python-genshi
+Requires:       python-alembic
+Requires:       python-gearbox
+Requires:       python-backlash
+Requires:       python-webtest >= 1.2.3
+Requires:       python-babel
+Requires:       python-tgext-admin >= 0.5.1
+Requires:       python-sqlalchemy >= 0.5
+Requires:       python-babel >= 0.9.4
+Requires:       python-zope-sqlalchemy >= 0.4
+Requires:       python-turbojson >= 1.3
+Requires:       python-turbokid >= 1.0.4
+Requires:       python-repoze-tm2
+Requires:       TurboGears2 >= 2.3.0
+%{?python_provide:%python_provide python2-tg-devtools}
+
+%description -n python2-tg-devtools %_description
 
 %prep
 %setup -q -n tg.devtools-%{version}
@@ -69,13 +76,17 @@ sed -i '1s/^#!python//' %{buildroot}%{python_sitelib}/devtools/templates/turboge
 PYTHONPATH=$(pwd) nosetests
 
 
-%files
+%files -n python2-tg-devtools
 %doc
 %{python_sitelib}/devtools/
 %{python_sitelib}/tg.devtools-%{version}-*.egg-info/
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.3.0-0.11
+- Python 2 subpackage renamed to python2-tg-devtools
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-0.10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tgext-admin/python-tgext-admin.spec python-tgext-admin/python-tgext-admin.spec.tmp
index b821f1a9bb..2440586193 100644
--- python-tgext-admin/python-tgext-admin.spec
+++ python-tgext-admin/python-tgext-admin.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-tgext-admin
 Version:        0.5.4
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Admin Controller add-on for basic TG identity model
 
 Group:          Development/Languages
@@ -15,11 +15,19 @@ BuildArch:      noarch
 
 BuildRequires:  python-setuptools python-devel
 #BuildRequires:  python-tgext-crud python-nose TurboGears2
-Requires:       python-tgext-crud >= 0.5.2
 
-%description
-Admin Controller add-on for basic TG identity model.
+%global _description\
+Admin Controller add-on for basic TG identity model.\
+
+
+%description %_description
 
+%package -n python2-tgext-admin
+Summary: %summary
+Requires:       python-tgext-crud >= 0.5.2
+%{?python_provide:%python_provide python2-tgext-admin}
+
+%description -n python2-tgext-admin %_description
 
 %prep
 %setup -q -n tgext.admin-%{version}
@@ -44,7 +52,7 @@ rm -rf %{buildroot}
 rm -rf %{buildroot}
 
 
-%files
+%files -n python2-tgext-admin
 %defattr(-,root,root,-)
 %doc README.txt
 %{python_sitelib}/tgext.admin-%{version}-py%{pyver}*
@@ -52,6 +60,10 @@ rm -rf %{buildroot}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.4-10
+- Python 2 subpackage renamed to python2-tgext-admin
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tgext-crud/python-tgext-crud.spec python-tgext-crud/python-tgext-crud.spec.tmp
index b5b79206ba..31340c5988 100644
--- python-tgext-crud/python-tgext-crud.spec
+++ python-tgext-crud/python-tgext-crud.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-tgext-crud
 Version:        0.6.0
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Crud Controller Extension for TG2
 
 Group:          Development/Languages
@@ -14,12 +14,19 @@ BuildArch:      noarch
 
 BuildRequires:  python-setuptools python-devel
 
-Requires:       python-sprox >= 0.8.3
-
 
-%description
+%global _description\
 Crud Controller Extension for TG2
 
+%description %_description
+
+%package -n python2-tgext-crud
+Summary: %summary
+Requires:       python-sprox >= 0.8.3
+%{?python_provide:%python_provide python2-tgext-crud}
+
+%description -n python2-tgext-crud %_description
+
 %prep
 %setup -q -n tgext.crud-%{version}
 
@@ -32,7 +39,7 @@ Crud Controller Extension for TG2
 %{__python} setup.py install --skip-build --root %{buildroot}
 
 
-%files
+%files -n python2-tgext-crud
 %defattr(-,root,root,-)
 %doc
 %{python_sitelib}/tgext.crud-%{version}-py%{pyver}*
@@ -40,6 +47,10 @@ Crud Controller Extension for TG2
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.0-10
+- Python 2 subpackage renamed to python2-tgext-crud
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tgmochikit/python-tgmochikit.spec python-tgmochikit/python-tgmochikit.spec.tmp
index e2dbc7bc5d..89800d5aef 100644
--- python-tgmochikit/python-tgmochikit.spec
+++ python-tgmochikit/python-tgmochikit.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-tgmochikit
 Version:        1.4.2
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        MochiKit JavaScript library packaged for TurboGears widgets
 
 Group:          Development/Languages
@@ -22,14 +22,22 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-nose
 BuildRequires:  dos2unix
-Requires: python-setuptools
-
-%description
-MochiKit is a highly-documented and well-tested suite of JavaScript libraries
-that will help you get stuff done, fast.
 
+%global _description\
+MochiKit is a highly-documented and well-tested suite of JavaScript libraries\
+that will help you get stuff done, fast.\
+\
 tgmochikit packages the MochiKit library for use by TurboGears Widgets.
 
+%description %_description
+
+%package -n python2-tgmochikit
+Summary: %summary
+Requires: python-setuptools
+%{?python_provide:%python_provide python2-tgmochikit}
+
+%description -n python2-tgmochikit %_description
+
 %prep
 %setup -q -n %{srcname}-%{version}
 %patch0 -p1 -b .licensing
@@ -51,7 +59,7 @@ nosetests
 rm -rf %{buildroot}
 
 
-%files
+%files -n python2-tgmochikit
 %defattr(-,root,root,-)
 %doc LICENSE.txt README.txt ChangeLog
 # For noarch packages: sitelib
@@ -59,6 +67,10 @@ rm -rf %{buildroot}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.2-14
+- Python 2 subpackage renamed to python2-tgmochikit
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tilestache/python-tilestache.spec python-tilestache/python-tilestache.spec.tmp
index fa983953c0..1aba1f465f 100644
--- python-tilestache/python-tilestache.spec
+++ python-tilestache/python-tilestache.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-tilestache
 Version:        1.49.11
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        A stylish alternative for caching your map tiles
 
 Group:          Applications/Databases
@@ -19,22 +19,29 @@ BuildArch:      noarch
 
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
-Requires:       font(dejavusansmono)
-Requires:       python-imaging
-Requires:       python-modestmaps
-Requires:       python-simplejson
-Requires:       python-werkzeug
 
 %package examples
 Summary:        Example code for TileStache
 
+%global _description\
+TileStache is a Python-based server application that can serve up map tiles\
+based on rendered geographic data. You might be familiar with TileCache, the\
+venerable open source WMS server from MetaCarta. TileStache is similar, but we\
+hope simpler and better-suited to the needs of designers and cartographers.
+
+%description %_description
+
+%package -n python2-tilestache
+Summary: %summary
 Requires:       %{name}%{?isa} = %{version}-%{release}
+Requires:       python-werkzeug
+Requires:       python-simplejson
+Requires:       python-modestmaps
+Requires:       python-imaging
+Requires:       font(dejavusansmono)
+%{?python_provide:%python_provide python2-tilestache}
 
-%description
-TileStache is a Python-based server application that can serve up map tiles
-based on rendered geographic data. You might be familiar with TileCache, the
-venerable open source WMS server from MetaCarta. TileStache is similar, but we
-hope simpler and better-suited to the needs of designers and cartographers.
+%description -n python2-tilestache %_description
 
 %description examples
 Example code for TileStache: A stylish alternative for caching your map tiles
@@ -65,7 +72,7 @@ install -p -m0644 man/tilestache-server.1 %{buildroot}%{_mandir}/man1/
 mkdir -p %{buildroot}%{_datadir}/%{module_name}
 cp -a examples %{buildroot}%{_datadir}/%{module_name}/
 
-%files
+%files -n python2-tilestache
 %doc CHANGELOG LICENSE README.md
 %{_bindir}/tilestache-clean.py
 %{_bindir}/tilestache-compose.py
@@ -85,6 +92,10 @@ cp -a examples %{buildroot}%{_datadir}/%{module_name}/
 %{_datadir}/%{module_name}
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.49.11-9
+- Python 2 subpackage renamed to python2-tilestache
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.49.11-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tinycss/python-tinycss.spec python-tinycss/python-tinycss.spec.tmp
index 0695d010dc..25e9a7ed91 100644
--- python-tinycss/python-tinycss.spec
+++ python-tinycss/python-tinycss.spec.tmp
@@ -7,7 +7,7 @@
 Name:           python-tinycss
 Summary:        CSS parser for Python
 Version:        0.3
-Release:        14%{?dist}
+Release:        15%{?dist}
 Group:          System Environment/Libraries
 License:        BSD
 URL:            http://pythonhosted.org/tinycss/
@@ -23,12 +23,20 @@ BuildRequires:  python3-devel python3-setuptools python3-Cython
 # or any files in the application's directory for provides
 %global __provides_exclude_from ^(%{python_sitearch}|%{python3_sitearch})/.*\\.so$
 
-%description
-tinycss is a complete yet simple CSS parser for Python. It supports
-the full syntax and error handling for CSS 2.1 as well as some CSS 3
-modules. It is designed to be easy to extend for new CSS modules and
+%global _description\
+tinycss is a complete yet simple CSS parser for Python. It supports\
+the full syntax and error handling for CSS 2.1 as well as some CSS 3\
+modules. It is designed to be easy to extend for new CSS modules and\
 syntax, and integrates well with cssselect for Selectors 3 support.
 
+%description %_description
+
+%package -n python2-tinycss
+Summary: %summary
+%{?python_provide:%python_provide python2-tinycss}
+
+%description -n python2-tinycss %_description
+
 %if 0%{?with_python3}
 %package -n python3-tinycss
 Summary:        CSS parser for Python
@@ -69,7 +77,7 @@ pushd %{py3dir}
 popd
 %endif # with_python3
 
-%files
+%files -n python2-tinycss
 %doc LICENSE README.rst
 %{python_sitearch}/*
 
@@ -80,6 +88,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3-15
+- Python 2 subpackage renamed to python2-tinycss
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tooz/python-tooz.spec python-tooz/python-tooz.spec.tmp
index 2cb9beec1d..af3cc4230d 100644
--- python-tooz/python-tooz.spec
+++ python-tooz/python-tooz.spec.tmp
@@ -9,7 +9,7 @@
 
 Name:           python-%{pypi_name}
 Version:        1.48.0
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Coordination library for distributed systems
 
 License:        ASL 2.0
@@ -20,26 +20,34 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-pbr >= 1.8
-Requires:       python-babel
-Requires:       python-fasteners
-Requires:       python-futures
-Requires:       python-futurist
-Requires:       python-iso8601 >= 0.1.9
-Requires:       python-msgpack
-Requires:       python-oslo-serialization
-Requires:       python-oslo-utils >= 3.15.0
-Requires:       python-retrying
-Requires:       python-six >= 1.9.0
-Requires:       python-stevedore >= 1.16.0
-Requires:       python-voluptuous >= 0.8.9
-Requires:       python-zake
 
 
-%description
-The Tooz project aims at centralizing the most common distributed primitives
-like group membership protocol, lock service and leader election by providing
+%global _description\
+The Tooz project aims at centralizing the most common distributed primitives\
+like group membership protocol, lock service and leader election by providing\
 a coordination API helping developers to build distributed applications.
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+Requires:       python-zake
+Requires:       python-voluptuous >= 0.8.9
+Requires:       python-stevedore >= 1.16.0
+Requires:       python-six >= 1.9.0
+Requires:       python-retrying
+Requires:       python-oslo-utils >= 3.15.0
+Requires:       python-oslo-serialization
+Requires:       python-msgpack
+Requires:       python-iso8601 >= 0.1.9
+Requires:       python-futurist
+Requires:       python-futures
+Requires:       python-fasteners
+Requires:       python-babel
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
 Summary:        Coordination library for distributed systems
@@ -120,7 +128,7 @@ rm -fr %{buildroot}%{python3_sitelib}/%{pypi_name}/tests/
 
 
 
-%files
+%files -n python2-%{pypi_name}
 %license LICENSE
 %doc README.rst
 %{python2_sitelib}/%{pypi_name}
@@ -139,6 +147,10 @@ rm -fr %{buildroot}%{python3_sitelib}/%{pypi_name}/tests/
 %doc html
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.48.0-4
+- Python 2 subpackage renamed to python2-tooz
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.48.0-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-TornadIO2/python-TornadIO2.spec python-TornadIO2/python-TornadIO2.spec.tmp
index 2ec14ed9fd..52aa5c0bbc 100644
--- python-TornadIO2/python-TornadIO2.spec
+++ python-TornadIO2/python-TornadIO2.spec.tmp
@@ -16,7 +16,7 @@
 
 Name:           python-TornadIO2
 Version:        0.0.4
-Release:        10%{?dist}
+Release:        11%{?dist}
 License:        ASL 2.0
 Summary:        Socket.io server on top of Tornado framework
 Url:            http://github.com/MrJoes/tornadio2/
@@ -25,9 +25,6 @@ Source0:         http://pypi.python.org/packages/source/T/TornadIO2/TornadIO2-%{
 # patch adding LICENSE to release tarball accepted upstream, will be included in the next version
 Source1:        LICENSE
 
-Requires:       python-tornado
-Requires:       python-simplejson
-
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-tornado
@@ -35,12 +32,22 @@ BuildRequires:  python-simplejson
 
 BuildArch:      noarch
 
-%description
-This is python server implementation of the Socket.IO real-time transport
-library on top of the Tornado framework. TornadIO2 is compatible with 0.7+
-version of the Socket.IO and implements most of the features found in original
+%global _description\
+This is python server implementation of the Socket.IO real-time transport\
+library on top of the Tornado framework. TornadIO2 is compatible with 0.7+\
+version of the Socket.IO and implements most of the features found in original\
 Socket.IO server software.
 
+%description %_description
+
+%package -n python2-tornadio2
+Summary: %summary
+Requires:       python-simplejson
+Requires:       python-tornado
+%{?python_provide:%python_provide python2-tornadio2}
+
+%description -n python2-tornadio2 %_description
+
 %prep
 %setup -q -n TornadIO2-%{version}
 rm -rf %{pypi_name}.egg-info
@@ -52,12 +59,16 @@ cp %{SOURCE1} .
 %install
 %{__python} setup.py install -O1 --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-tornadio2
 %doc LICENSE
 %defattr(-,root,root,-)
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.4-11
+- Python 2 subpackage renamed to python2-tornadio2
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-toscawidgets/python-toscawidgets.spec python-toscawidgets/python-toscawidgets.spec.tmp
index fffa85327f..77d1898af8 100644
--- python-toscawidgets/python-toscawidgets.spec
+++ python-toscawidgets/python-toscawidgets.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-toscawidgets
 Version:        0.9.12
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        Toolkit to help create widgets for WSGI web apps
 Group:          Development/Languages
 License:        MIT
@@ -17,20 +17,27 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-Requires: python-paste >= 1.1
-Requires: python-simplejson
-Requires: python-webob
+%global _description\
+ToscaWidgets is a web widget toolkit for Python to aid in the creation,\
+packaging and distribution of common view elements normally used in the web.\
+\
+ToscaWidgets is an almost complete rewrite of the widgets package bundled with\
+TurboGears-1.0. The rewrite's goal was to decouple the widgets package from\
+CherryPy and TurboGears itself to fit better with TurboGears 2.0\
+philosophy which is to partition it's services into independent WSGI\
+components for easier mainteinance and reuse in other Python web applications\
+or frameworks.
 
-%description
-ToscaWidgets is a web widget toolkit for Python to aid in the creation, 
-packaging and distribution of common view elements normally used in the web.
+%description %_description
 
-ToscaWidgets is an almost complete rewrite of the widgets package bundled with
-TurboGears-1.0. The rewrite's goal was to decouple the widgets package from
-CherryPy and TurboGears itself to fit better with TurboGears 2.0 
-philosophy which is to partition it's services into independent WSGI 
-components for easier mainteinance and reuse in other Python web applications 
-or frameworks.
+%package -n python2-toscawidgets
+Summary: %summary
+Requires: python-webob
+Requires: python-simplejson
+Requires: python-paste >= 1.1
+%{?python_provide:%python_provide python2-toscawidgets}
+
+%description -n python2-toscawidgets %_description
 
 %prep
 %setup -q -n %{srcname}-%{version}
@@ -47,13 +54,17 @@ rm -rf %{buildroot}
 rm -rf %{buildroot}
 
 
-%files
+%files -n python2-toscawidgets
 %defattr(-,root,root,-)
 %doc README.txt PKG-INFO
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.12-12
+- Python 2 subpackage renamed to python2-toscawidgets
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.12-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tracing/python-tracing.spec python-tracing/python-tracing.spec.tmp
index 41390828ad..f3b7af0240 100644
--- python-tracing/python-tracing.spec
+++ python-tracing/python-tracing.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{pkgname}
 Version:        0.9
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Python debug logging helper
 
 License:        GPLv3+
@@ -12,19 +12,27 @@ Source0:        http://code.liw.fi/debian/pool/main/p/%{name}/%{name}_%{version}
 BuildArch:      noarch
 BuildRequires:  python-sphinx
 
-%description
-The Python library tracing helps with logging debug messages. It
-provides a couple of functions for logging debug messages, and allows
-the user to enable or disable logging for particular code modules.
+%global _description\
+The Python library tracing helps with logging debug messages. It\
+provides a couple of functions for logging debug messages, and allows\
+the user to enable or disable logging for particular code modules.\
+\
+It is sometimes practical to add a lot of debugging log messages to a\
+program, but having them enabled all the time results in very large\
+log files. Also, logging that much takes quite a bit of time.\
+\
+This module provides a way to turn such debugging or tracing messages\
+on and off, based on the filename they occur in. The logging can that\
+be left in the code, and only enabled when it is needed.\
 
-It is sometimes practical to add a lot of debugging log messages to a
-program, but having them enabled all the time results in very large
-log files. Also, logging that much takes quite a bit of time.
 
-This module provides a way to turn such debugging or tracing messages
-on and off, based on the filename they occur in. The logging can that
-be left in the code, and only enabled when it is needed.
+%description %_description
 
+%package -n python2-%{pkgname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pkgname}}
+
+%description -n python2-%{pkgname} %_description
 
 %package        doc
 Summary:        Documentation for %{pkgname}
@@ -49,7 +57,7 @@ make -C doc html
 %{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
  
-%files
+%files -n python2-%{pkgname}
 %doc NEWS README
 %license COPYING
 %{python_sitelib}/*
@@ -59,6 +67,10 @@ make -C doc html
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9-4
+- Python 2 subpackage renamed to python2-tracing
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
